API SpecificationBrand
List brands
Retrieves a list of available brands with filtering and pagination options.
Notes
-
Currency codes follow
ISO 4217standard -
Price information may have been altered in the documentation
-
Results are sorted by:
-
- Brands are sorted by
brandName
- Brands are sorted by
-
- Options are sorted by
redeemValue
- Options are sorted by
-
- Products are sorted by
faceValueAmount
- Products are sorted by
Authorization
bearerAuth AuthorizationBearer <token>
Add your API key here
In: header
Query Parameters
slug?|
Filter by exact brand slug
name?|
Filter by exact brand name
category?|
Filter by brand category. Options are: giftcard / gamecard / payment-card
redeemType?|
Filter by redeem type. Options: region / service / currency
currency?|
Filter by currency
redeemValue?|
Filter by redeemValue
limit?|
Number of results per page
page?|
Page number
Response Body
application/json
curl -X GET "https://connect.relograde.com/api/1.03/brand"{ "data": [ { "slug": "amazon", "category": "giftcard", "redeemType": "service", "brandName": "Amazon", "options": [ { "redeemValue": "amazon.co.uk", "products": [ { "slug": "amazon-gb-gbp-10", "name": "Amazon.co.uk 10 GBP", "brand": "amazon", "productType": "topup", "region": "ww", "faceValueAmount": 10, "faceValueCurrency": "gbp", "faceValueMin": 5, "faceValueMax": 500, "mainCategory": "giftcard", "redeemType": "service", "isStocked": true } ] } ] } ], "metadata": { "page": 1, "pageSize": 50, "totalItems": 100, "totalPages": 2 }}